# Retrieve bank account specification by country Fetch the specifications for a set of countries to know which credential fields are required, the validations for each fields, and how to translate these country-specific fields to the generic fields in the PayoutMethodBankAccount type. ## Parameters - `countries` (array of strings, optional) The countries to fetch the bank account spec for. ## Returns ## Response attributes - `object` (string, value is "v2.money_management.payout_methods_bank_account_spec") String representing the object’s type. Objects of the same type share the same value of the object field. - `countries` (map) The list of specs by country. - `livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. ## Error Codes | HTTP status code | Code | Description | | ---------------- | -------------------- | ---------------------------------------------------------------------------------------- | | 400 | invalid_country_code | Returned in cases where the country code requested for the bank account spec is invalid. | ```curl curl -G https://api.stripe.com/v2/money_management/payout_methods_bank_account_spec \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-01-28.preview" \ -d "countries[0]"=US ``` ### Response ```json { "object": "v2.money_management.payout_methods_bank_account_spec", "countries": { "US": { "fields": [ { "local_name": "account_number", "local_name_human": { "localization_key": "payout_methods.bank_account.account_number", "content": "Account Number" }, "max_length": 17, "min_length": 1, "placeholder": "000123456789", "stripe_name": "account_number", "validation_regex": "\\A\\d{1,17}\\z" }, { "local_name": "routing_number", "local_name_human": { "localization_key": "payout_methods.bank_account.routing_number", "content": "Routing Number" }, "max_length": 9, "min_length": 9, "placeholder": "110000000", "stripe_name": "routing_number", "validation_regex": "\\A(01|02|03|04|05|06|07|08|09|10|11|12|21|22|23|24|25|26|27|28|29|30|31|32)[0-9]{7}\\z" } ] } }, "livemode": true } ```